# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=6
PYTHON_COMPAT=(python2_7)
inherit distutils-r1

DESCRIPTION="Python CD-DA ripper preferring accuracy over speed"
HOMEPAGE="https://github.com/JoeLametta/whipper"
SRC_URI="https://github.com/JoeLametta/whipper/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

RDEPEND="
	dev-python/setuptools[${PYTHON_USEDEP}]
	dev-libs/libcdio-paranoia
	app-cdr/cdrdao
	dev-python/pygobject:2
	dev-python/python-musicbrainz-ngs
	media-libs/mutagen
	dev-python/cddb-py
	dev-python/requests
	dev-python/pycdio
	media-libs/libsndfile
	media-libs/flac
	media-sound/sox
"
DEPEND="
	${RDEPEND}
"

python_prepare_all() {
	eapply_user
	distutils-r1_python_prepare_all

	cd "${S}/src"
	emake
}

python_install_all() {
	distutils-r1_python_install_all

	exeinto /usr/bin
	doexe "${S}/src/accuraterip-checksum"
}
